<?php

$execScript=LTCMS_ROOT."/version/Script.php";
if(is_file($execScript)){
    include_once $execScript;
}

class ReleaseScript extends Script
{
    /**
     * 启动执行脚本
     */
    public function boot(){
        return $this->upRandom();//更新随机数
    }

    public function version_104(){
        $ok1=$this->upAdminFunc();  // 更新路由信息
        $ok2=$this->resetCache(); //去除缓存
        if(!$ok1  || !$ok2){
            return false;
        }
        return true;
    }

    public function version_108(){
        $ok1=$this->addModuleFieldMenu(); //补充-文章-字段设置-菜单
        $ok2=$this->addMenu("set_cache"); //补充-缓存设置-菜单
        $ok3=$this->removeBackslashes(); //文章内容-去除反斜线

        if(!$ok1  || !$ok2|| !$ok3){
            return false;
        }
        return true;
    }

    public function version_109(){
        $ok3=$this->addModuleUpdateMenu(); //补充模块-自定义更新-菜单
        if(!$ok3){
            return false;
        }
        return true;
    }

    public function version_1011(){
        container()->bind([
            "L_table"=>'app\logic\L_table',
        ]);
        $ok=$this->addCategoryField(); //分类-添加字段
        if(!$ok){
            return false;
        }
        return true;
    }
}